Loading...
Searching...
No Matches
WebSockets Support
Application API

API for interfacing with WebSockets (RFC8323). More...

Collaboration diagram for WebSockets Support:

## Functions

int | coap_ws_set_host_request (coap_session_t *session, coap_str_const_t *ws_host)
| Set the host for the HTTP Host: Header in the WebSockets Request.

## Detailed Description

API for interfacing with WebSockets (RFC8323).

## Function Documentation

## coap_ws_set_host_request()

int coap_ws_set_host_request | ( | coap_session_t * | session,
|  | coap_str_const_t * | ws_host )

Set the host for the HTTP Host: Header in the WebSockets Request.

Returns
  `1` if successful, else `0` if failure of some sort.

Definition at line 943 of file coap_ws.c.